source: trunk/indexers/mgpp/packages/unac/config.status@ 13476

Last change on this file since 13476 was 13476, checked in by shaoqun, 17 years ago

added packages for accentfolding

  • Property svn:executable set to *
  • Property svn:keywords set to Author Date Id Revision
File size: 27.6 KB
Line 
1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization. ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
24fi
25DUALCASE=1; export DUALCASE # for MKS sh
26
27# Support unset when possible.
28if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30else
31 as_unset=false
32fi
33
34
35# Work around bugs in pre-3.0 UWIN ksh.
36$as_unset ENV MAIL MAILPATH
37PS1='$ '
38PS2='> '
39PS4='+ '
40
41# NLS nuisances.
42for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
46do
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
51 fi
52done
53
54# Required to use basename.
55if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57else
58 as_expr=false
59fi
60
61if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63else
64 as_basename=false
65fi
66
67
68# Name of the executable.
69as_me=`$as_basename "$0" ||
70$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
79
80
81# PATH needs CR, and LINENO needs CR and PATH.
82# Avoid depending upon Character Ranges.
83as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86as_cr_digits='0123456789'
87as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89# The user is always right.
90if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
98 fi
99 rm -f conf$$.sh
100fi
101
102
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113for as_dir in $PATH
114do
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118done
119
120 ;;
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
126 fi
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
131 fi
132 case $CONFIG_SHELL in
133 '')
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136do
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
141 /*)
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156done
157;;
158 esac
159
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
170 N
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
182
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
189}
190
191
192case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197esac
198
199if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201else
202 as_expr=false
203fi
204
205rm -f conf$$ conf$$.exe conf$$.file
206echo >conf$$.file
207if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
215 fi
216elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218else
219 as_ln_s='cp -p'
220fi
221rm -f conf$$ conf$$.exe conf$$.file
222
223if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
228fi
229
230as_executable_p="test -f"
231
232# Sed expression to map a string onto a valid CPP name.
233as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235# Sed expression to map a string onto a valid variable name.
236as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239# IFS
240# We need space, tab and new line, in precisely that order.
241as_nl='
242'
243IFS=" $as_nl"
244
245# CDPATH.
246$as_unset CDPATH
247
248exec 6>&1
249
250# Open the log real soon, to keep \$[0] and so on meaningful, and to
251# report actual input values of CONFIG_FILES etc. instead of their
252# values after options handling. Logging --version etc. is OK.
253exec 5>>config.log
254{
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257## Running $as_me. ##
258_ASBOX
259} >&5
260cat >&5 <<_CSEOF
261
262This file was extended by $as_me, which was
263generated by GNU Autoconf 2.59. Invocation command line was
264
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
270
271_CSEOF
272echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273echo >&5
274config_files=" Makefile"
275config_headers=" config.h"
276
277ac_cs_usage="\
278\`$as_me' instantiates files from templates according to the
279current configuration.
280
281Usage: $0 [OPTIONS] [FILE]...
282
283 -h, --help print this help, then exit
284 -V, --version print version number, then exit
285 -q, --quiet do not print progress messages
286 -d, --debug don't remove temporary files
287 --recheck update $as_me by reconfiguring in the same conditions
288 --file=FILE[:TEMPLATE]
289 instantiate the configuration file FILE
290 --header=FILE[:TEMPLATE]
291 instantiate the configuration header FILE
292
293Configuration files:
294$config_files
295
296Configuration headers:
297$config_headers
298
299Report bugs to <[email protected]>."
300ac_cs_version="\
301config.status
302configured by ./configure, generated by GNU Autoconf 2.59,
303 with options \"\"
304
305Copyright (C) 2003 Free Software Foundation, Inc.
306This config.status script is free software; the Free Software Foundation
307gives unlimited permission to copy, distribute and modify it."
308srcdir=.
309# If no file are specified by the user, then we need to provide default
310# value. By we need to know if files were specified by the user.
311ac_need_defaults=:
312while test $# != 0
313do
314 case $1 in
315 --*=*)
316 ac_option=`expr "x$1" : 'x\([^=]*\)='`
317 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
318 ac_shift=:
319 ;;
320 -*)
321 ac_option=$1
322 ac_optarg=$2
323 ac_shift=shift
324 ;;
325 *) # This is not an option, so the user has probably given explicit
326 # arguments.
327 ac_option=$1
328 ac_need_defaults=false;;
329 esac
330
331 case $ac_option in
332 # Handling of the options.
333 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
334 ac_cs_recheck=: ;;
335 --version | --vers* | -V )
336 echo "$ac_cs_version"; exit 0 ;;
337 --he | --h)
338 # Conflict between --help and --header
339 { { echo "$as_me:$LINENO: error: ambiguous option: $1
340Try \`$0 --help' for more information." >&5
341echo "$as_me: error: ambiguous option: $1
342Try \`$0 --help' for more information." >&2;}
343 { (exit 1); exit 1; }; };;
344 --help | --hel | -h )
345 echo "$ac_cs_usage"; exit 0 ;;
346 --debug | --d* | -d )
347 debug=: ;;
348 --file | --fil | --fi | --f )
349 $ac_shift
350 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
351 ac_need_defaults=false;;
352 --header | --heade | --head | --hea )
353 $ac_shift
354 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
355 ac_need_defaults=false;;
356 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
357 | -silent | --silent | --silen | --sile | --sil | --si | --s)
358 ac_cs_silent=: ;;
359
360 # This is an error.
361 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
362Try \`$0 --help' for more information." >&5
363echo "$as_me: error: unrecognized option: $1
364Try \`$0 --help' for more information." >&2;}
365 { (exit 1); exit 1; }; } ;;
366
367 *) ac_config_targets="$ac_config_targets $1" ;;
368
369 esac
370 shift
371done
372
373ac_configure_extra_args=
374
375if $ac_cs_silent; then
376 exec 6>/dev/null
377 ac_configure_extra_args="$ac_configure_extra_args --silent"
378fi
379
380if $ac_cs_recheck; then
381 echo "running /bin/sh ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
382 exec /bin/sh ./configure $ac_configure_extra_args --no-create --no-recursion
383fi
384
385for ac_config_target in $ac_config_targets
386do
387 case "$ac_config_target" in
388 # Handling of arguments.
389 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
390 "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
391 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
392echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
393 { (exit 1); exit 1; }; };;
394 esac
395done
396
397# If the user did not use the arguments to specify the items to instantiate,
398# then the envvar interface is used. Set only those that are not.
399# We use the long form for the default assignment because of an extremely
400# bizarre bug on SunOS 4.1.3.
401if $ac_need_defaults; then
402 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
403 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
404fi
405
406# Have a temporary directory for convenience. Make it in the build tree
407# simply because there is no reason to put it here, and in addition,
408# creating and moving files from /tmp can sometimes cause problems.
409# Create a temporary directory, and hook for its removal unless debugging.
410$debug ||
411{
412 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
413 trap '{ (exit 1); exit 1; }' 1 2 13 15
414}
415
416# Create a (secure) tmp directory for tmp files.
417
418{
419 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
420 test -n "$tmp" && test -d "$tmp"
421} ||
422{
423 tmp=./confstat$$-$RANDOM
424 (umask 077 && mkdir $tmp)
425} ||
426{
427 echo "$me: cannot create a temporary directory in ." >&2
428 { (exit 1); exit 1; }
429}
430
431
432#
433# CONFIG_FILES section.
434#
435
436# No need to generate the scripts if there are no CONFIG_FILES.
437# This happens for instance when ./config.status config.h
438if test -n "$CONFIG_FILES"; then
439 # Protect against being on the right side of a sed subst in config.status.
440 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
441 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
442s,@SHELL@,/bin/sh,;t t
443s,@PATH_SEPARATOR@,:,;t t
444s,@PACKAGE_NAME@,,;t t
445s,@PACKAGE_TARNAME@,,;t t
446s,@PACKAGE_VERSION@,,;t t
447s,@PACKAGE_STRING@,,;t t
448s,@PACKAGE_BUGREPORT@,,;t t
449s,@exec_prefix@,${prefix},;t t
450s,@prefix@,/usr/local,;t t
451s,@program_transform_name@,s,x,x,,;t t
452s,@bindir@,${exec_prefix}/bin,;t t
453s,@sbindir@,${exec_prefix}/sbin,;t t
454s,@libexecdir@,${exec_prefix}/libexec,;t t
455s,@datadir@,${prefix}/share,;t t
456s,@sysconfdir@,${prefix}/etc,;t t
457s,@sharedstatedir@,${prefix}/com,;t t
458s,@localstatedir@,${prefix}/var,;t t
459s,@libdir@,${exec_prefix}/lib,;t t
460s,@includedir@,${prefix}/include,;t t
461s,@oldincludedir@,/usr/include,;t t
462s,@infodir@,${prefix}/info,;t t
463s,@mandir@,${prefix}/man,;t t
464s,@build_alias@,,;t t
465s,@host_alias@,,;t t
466s,@target_alias@,,;t t
467s,@DEFS@,-DHAVE_CONFIG_H,;t t
468s,@ECHO_C@,,;t t
469s,@ECHO_N@,-n,;t t
470s,@ECHO_T@,,;t t
471s,@LIBS@,,;t t
472s,@VERSION@,1.7.0,;t t
473s,@SET_MAKE@,,;t t
474s,@UNICODE_VERSION@,3.2.0,;t t
475s,@CC@,gcc,;t t
476s,@CFLAGS@,-g -O2 -Wall -Wmissing-declarations -Wmissing-prototypes,;t t
477s,@LDFLAGS@,,;t t
478s,@CPPFLAGS@,,;t t
479s,@ac_ct_CC@,gcc,;t t
480s,@EXEEXT@,,;t t
481s,@OBJEXT@,o,;t t
482s,@CPP@,gcc -E,;t t
483s,@EGREP@,grep -E,;t t
484s,@build@,i686-pc-linux-gnu,;t t
485s,@build_cpu@,i686,;t t
486s,@build_vendor@,pc,;t t
487s,@build_os@,linux-gnu,;t t
488s,@host@,i686-pc-linux-gnu,;t t
489s,@host_cpu@,i686,;t t
490s,@host_vendor@,pc,;t t
491s,@host_os@,linux-gnu,;t t
492s,@LN_S@,ln -s,;t t
493s,@ECHO@,echo,;t t
494s,@RANLIB@,ranlib,;t t
495s,@ac_ct_RANLIB@,ranlib,;t t
496s,@STRIP@,strip,;t t
497s,@ac_ct_STRIP@,strip,;t t
498s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
499s,@PERL@,/usr/bin/perl,;t t
500s,@SH@,/bin/sh,;t t
501s,@MAINTAINER_MODE_TRUE@,#,;t t
502s,@MAINTAINER_MODE_FALSE@,,;t t
503s,@MAINT@,#,;t t
504s,@LIBICONV@,,;t t
505s,@LTLIBICONV@,,;t t
506s,@LIBOBJS@,,;t t
507s,@LTLIBOBJS@,,;t t
508CEOF
509
510 # Split the substitutions into bite-sized pieces for seds with
511 # small command number limits, like on Digital OSF/1 and HP-UX.
512 ac_max_sed_lines=48
513 ac_sed_frag=1 # Number of current file.
514 ac_beg=1 # First line for current file.
515 ac_end=$ac_max_sed_lines # Line after last line for current file.
516 ac_more_lines=:
517 ac_sed_cmds=
518 while $ac_more_lines; do
519 if test $ac_beg -gt 1; then
520 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
521 else
522 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
523 fi
524 if test ! -s $tmp/subs.frag; then
525 ac_more_lines=false
526 else
527 # The purpose of the label and of the branching condition is to
528 # speed up the sed processing (if there are no `@' at all, there
529 # is no need to browse any of the substitutions).
530 # These are the two extra sed commands mentioned above.
531 (echo ':t
532 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
533 if test -z "$ac_sed_cmds"; then
534 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
535 else
536 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
537 fi
538 ac_sed_frag=`expr $ac_sed_frag + 1`
539 ac_beg=$ac_end
540 ac_end=`expr $ac_end + $ac_max_sed_lines`
541 fi
542 done
543 if test -z "$ac_sed_cmds"; then
544 ac_sed_cmds=cat
545 fi
546fi # test -n "$CONFIG_FILES"
547
548for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
549 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
550 case $ac_file in
551 - | *:- | *:-:* ) # input from stdin
552 cat >$tmp/stdin
553 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
554 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
555 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
556 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
557 * ) ac_file_in=$ac_file.in ;;
558 esac
559
560 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
561 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
562$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
563 X"$ac_file" : 'X\(//\)[^/]' \| \
564 X"$ac_file" : 'X\(//\)$' \| \
565 X"$ac_file" : 'X\(/\)' \| \
566 . : '\(.\)' 2>/dev/null ||
567echo X"$ac_file" |
568 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
569 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
570 /^X\(\/\/\)$/{ s//\1/; q; }
571 /^X\(\/\).*/{ s//\1/; q; }
572 s/.*/./; q'`
573 { if $as_mkdir_p; then
574 mkdir -p "$ac_dir"
575 else
576 as_dir="$ac_dir"
577 as_dirs=
578 while test ! -d "$as_dir"; do
579 as_dirs="$as_dir $as_dirs"
580 as_dir=`(dirname "$as_dir") 2>/dev/null ||
581$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
582 X"$as_dir" : 'X\(//\)[^/]' \| \
583 X"$as_dir" : 'X\(//\)$' \| \
584 X"$as_dir" : 'X\(/\)' \| \
585 . : '\(.\)' 2>/dev/null ||
586echo X"$as_dir" |
587 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
588 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
589 /^X\(\/\/\)$/{ s//\1/; q; }
590 /^X\(\/\).*/{ s//\1/; q; }
591 s/.*/./; q'`
592 done
593 test ! -n "$as_dirs" || mkdir $as_dirs
594 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
595echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
596 { (exit 1); exit 1; }; }; }
597
598 ac_builddir=.
599
600if test "$ac_dir" != .; then
601 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
602 # A "../" for each directory in $ac_dir_suffix.
603 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
604else
605 ac_dir_suffix= ac_top_builddir=
606fi
607
608case $srcdir in
609 .) # No --srcdir option. We are building in place.
610 ac_srcdir=.
611 if test -z "$ac_top_builddir"; then
612 ac_top_srcdir=.
613 else
614 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
615 fi ;;
616 [\\/]* | ?:[\\/]* ) # Absolute path.
617 ac_srcdir=$srcdir$ac_dir_suffix;
618 ac_top_srcdir=$srcdir ;;
619 *) # Relative path.
620 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
621 ac_top_srcdir=$ac_top_builddir$srcdir ;;
622esac
623
624# Do not use `cd foo && pwd` to compute absolute paths, because
625# the directories may not exist.
626case `pwd` in
627.) ac_abs_builddir="$ac_dir";;
628*)
629 case "$ac_dir" in
630 .) ac_abs_builddir=`pwd`;;
631 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
632 *) ac_abs_builddir=`pwd`/"$ac_dir";;
633 esac;;
634esac
635case $ac_abs_builddir in
636.) ac_abs_top_builddir=${ac_top_builddir}.;;
637*)
638 case ${ac_top_builddir}. in
639 .) ac_abs_top_builddir=$ac_abs_builddir;;
640 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
641 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
642 esac;;
643esac
644case $ac_abs_builddir in
645.) ac_abs_srcdir=$ac_srcdir;;
646*)
647 case $ac_srcdir in
648 .) ac_abs_srcdir=$ac_abs_builddir;;
649 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
650 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
651 esac;;
652esac
653case $ac_abs_builddir in
654.) ac_abs_top_srcdir=$ac_top_srcdir;;
655*)
656 case $ac_top_srcdir in
657 .) ac_abs_top_srcdir=$ac_abs_builddir;;
658 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
659 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
660 esac;;
661esac
662
663
664
665 if test x"$ac_file" != x-; then
666 { echo "$as_me:$LINENO: creating $ac_file" >&5
667echo "$as_me: creating $ac_file" >&6;}
668 rm -f "$ac_file"
669 fi
670 # Let's still pretend it is `configure' which instantiates (i.e., don't
671 # use $as_me), people would be surprised to read:
672 # /* config.h. Generated by config.status. */
673 if test x"$ac_file" = x-; then
674 configure_input=
675 else
676 configure_input="$ac_file. "
677 fi
678 configure_input=$configure_input"Generated from `echo $ac_file_in |
679 sed 's,.*/,,'` by configure."
680
681 # First look for the input files in the build tree, otherwise in the
682 # src tree.
683 ac_file_inputs=`IFS=:
684 for f in $ac_file_in; do
685 case $f in
686 -) echo $tmp/stdin ;;
687 [\\/$]*)
688 # Absolute (can't be DOS-style, as IFS=:)
689 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
690echo "$as_me: error: cannot find input file: $f" >&2;}
691 { (exit 1); exit 1; }; }
692 echo "$f";;
693 *) # Relative
694 if test -f "$f"; then
695 # Build tree
696 echo "$f"
697 elif test -f "$srcdir/$f"; then
698 # Source tree
699 echo "$srcdir/$f"
700 else
701 # /dev/null tree
702 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
703echo "$as_me: error: cannot find input file: $f" >&2;}
704 { (exit 1); exit 1; }; }
705 fi;;
706 esac
707 done` || { (exit 1); exit 1; }
708 sed "/^[ ]*VPATH[ ]*=/{
709s/:*\$(srcdir):*/:/;
710s/:*\${srcdir}:*/:/;
711s/:*@srcdir@:*/:/;
712s/^\([^=]*=[ ]*\):*/\1/;
713s/:*$//;
714s/^[^=]*=[ ]*$//;
715}
716
717:t
718/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
719s,@configure_input@,$configure_input,;t t
720s,@srcdir@,$ac_srcdir,;t t
721s,@abs_srcdir@,$ac_abs_srcdir,;t t
722s,@top_srcdir@,$ac_top_srcdir,;t t
723s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
724s,@builddir@,$ac_builddir,;t t
725s,@abs_builddir@,$ac_abs_builddir,;t t
726s,@top_builddir@,$ac_top_builddir,;t t
727s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
728" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
729 rm -f $tmp/stdin
730 if test x"$ac_file" != x-; then
731 mv $tmp/out $ac_file
732 else
733 cat $tmp/out
734 rm -f $tmp/out
735 fi
736
737done
738
739#
740# CONFIG_HEADER section.
741#
742
743# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
744# NAME is the cpp macro being defined and VALUE is the value it is being given.
745#
746# ac_d sets the value in "#define NAME VALUE" lines.
747ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
748ac_dB='[ ].*$,\1#\2'
749ac_dC=' '
750ac_dD=',;t'
751# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
752ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
753ac_uB='$,\1#\2define\3'
754ac_uC=' '
755ac_uD=',;t'
756
757for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
758 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
759 case $ac_file in
760 - | *:- | *:-:* ) # input from stdin
761 cat >$tmp/stdin
762 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
763 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
764 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
765 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
766 * ) ac_file_in=$ac_file.in ;;
767 esac
768
769 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
770echo "$as_me: creating $ac_file" >&6;}
771
772 # First look for the input files in the build tree, otherwise in the
773 # src tree.
774 ac_file_inputs=`IFS=:
775 for f in $ac_file_in; do
776 case $f in
777 -) echo $tmp/stdin ;;
778 [\\/$]*)
779 # Absolute (can't be DOS-style, as IFS=:)
780 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
781echo "$as_me: error: cannot find input file: $f" >&2;}
782 { (exit 1); exit 1; }; }
783 # Do quote $f, to prevent DOS paths from being IFS'd.
784 echo "$f";;
785 *) # Relative
786 if test -f "$f"; then
787 # Build tree
788 echo "$f"
789 elif test -f "$srcdir/$f"; then
790 # Source tree
791 echo "$srcdir/$f"
792 else
793 # /dev/null tree
794 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
795echo "$as_me: error: cannot find input file: $f" >&2;}
796 { (exit 1); exit 1; }; }
797 fi;;
798 esac
799 done` || { (exit 1); exit 1; }
800 # Remove the trailing spaces.
801 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
802
803 # Handle all the #define templates only if necessary.
804 if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
805 # If there are no defines, we may have an empty if/fi
806 :
807 cat >$tmp/defines.sed <<CEOF
808/^[ ]*#[ ]*define/!b
809t clr
810: clr
811${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
812${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
813${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
814${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
815${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
816${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
817${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
818${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
819${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
820${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
821${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
822${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
823${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
824${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
825${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
826${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
827${ac_dA}HAVE_ICONV${ac_dB}HAVE_ICONV${ac_dC}1${ac_dD}
828${ac_dA}ICONV_CONST${ac_dB}ICONV_CONST${ac_dC}${ac_dD}
829${ac_dA}HAVE_VSNPRINTF${ac_dB}HAVE_VSNPRINTF${ac_dC}1${ac_dD}
830CEOF
831 sed -f $tmp/defines.sed $tmp/in >$tmp/out
832 rm -f $tmp/in
833 mv $tmp/out $tmp/in
834
835 fi # grep
836
837 # Handle all the #undef templates
838 cat >$tmp/undefs.sed <<CEOF
839/^[ ]*#[ ]*undef/!b
840t clr
841: clr
842${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
843${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
844${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
845${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
846${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
847${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
848${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
849${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
850${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
851${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
852${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
853${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
854${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
855${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
856${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
857${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
858${ac_uA}HAVE_ICONV${ac_uB}HAVE_ICONV${ac_uC}1${ac_uD}
859${ac_uA}ICONV_CONST${ac_uB}ICONV_CONST${ac_uC}${ac_uD}
860${ac_uA}HAVE_VSNPRINTF${ac_uB}HAVE_VSNPRINTF${ac_uC}1${ac_uD}
861s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
862CEOF
863 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
864 rm -f $tmp/in
865 mv $tmp/out $tmp/in
866
867 # Let's still pretend it is `configure' which instantiates (i.e., don't
868 # use $as_me), people would be surprised to read:
869 # /* config.h. Generated by config.status. */
870 if test x"$ac_file" = x-; then
871 echo "/* Generated by configure. */" >$tmp/config.h
872 else
873 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
874 fi
875 cat $tmp/in >>$tmp/config.h
876 rm -f $tmp/in
877 if test x"$ac_file" != x-; then
878 if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
879 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
880echo "$as_me: $ac_file is unchanged" >&6;}
881 else
882 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
883$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
884 X"$ac_file" : 'X\(//\)[^/]' \| \
885 X"$ac_file" : 'X\(//\)$' \| \
886 X"$ac_file" : 'X\(/\)' \| \
887 . : '\(.\)' 2>/dev/null ||
888echo X"$ac_file" |
889 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
890 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
891 /^X\(\/\/\)$/{ s//\1/; q; }
892 /^X\(\/\).*/{ s//\1/; q; }
893 s/.*/./; q'`
894 { if $as_mkdir_p; then
895 mkdir -p "$ac_dir"
896 else
897 as_dir="$ac_dir"
898 as_dirs=
899 while test ! -d "$as_dir"; do
900 as_dirs="$as_dir $as_dirs"
901 as_dir=`(dirname "$as_dir") 2>/dev/null ||
902$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
903 X"$as_dir" : 'X\(//\)[^/]' \| \
904 X"$as_dir" : 'X\(//\)$' \| \
905 X"$as_dir" : 'X\(/\)' \| \
906 . : '\(.\)' 2>/dev/null ||
907echo X"$as_dir" |
908 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
909 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
910 /^X\(\/\/\)$/{ s//\1/; q; }
911 /^X\(\/\).*/{ s//\1/; q; }
912 s/.*/./; q'`
913 done
914 test ! -n "$as_dirs" || mkdir $as_dirs
915 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
916echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
917 { (exit 1); exit 1; }; }; }
918
919 rm -f $ac_file
920 mv $tmp/config.h $ac_file
921 fi
922 else
923 cat $tmp/config.h
924 rm -f $tmp/config.h
925 fi
926done
927
928{ (exit 0); exit 0; }
Note: See TracBrowser for help on using the repository browser.